<div>
    <h2 id="page-heading">
        <span>Broadcast Messages</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-broadcast-message" [routerLink]="['/broadcast-message/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Broadcast Message
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="broadcastMessages?.length === 0">
        <span>No broadcastMessages found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="broadcastMessages && broadcastMessages.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Subject</span></th>
                    <th scope="col" ><span>Message</span></th>
                    <th scope="col" ><span>From</span></th>
                    <th scope="col" ><span>To</span></th>
                    <th scope="col" ><span>Status</span></th>
                    <th scope="col" ><span>Visible</span></th>
                    <th scope="col" ><span>Creator Team Id</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let broadcastMessage of broadcastMessages ;trackBy: trackId">
                    <td><a [routerLink]="['/broadcast-message', broadcastMessage.id, 'view']">{{ broadcastMessage.id }}</a></td>
                    <td>{{ broadcastMessage.subject }}</td>
                    <td>{{ broadcastMessage.message }}</td>
                    <td>{{ broadcastMessage.from | date:'medium' }}</td>
                    <td>{{ broadcastMessage.to | date:'medium' }}</td>
                    <td>{{ broadcastMessage.status }}</td>
                    <td>{{ broadcastMessage.visible }}</td>
                    <td>{{ broadcastMessage.creatorTeamId }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/broadcast-message', broadcastMessage.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/broadcast-message', broadcastMessage.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(broadcastMessage)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
